state("WolfNewOrder_x64", "Steam")
{
    int isLoading : 0x1679A88;  //2 in cutscene, 1 in loading, 0 in game
    int isLoading1 : 0x1D4F888; //1 in main menu, 0 when game paused, All that is more than 2 is the gameplay
    string9 chapter : 0x1D52382;
}

init
{
    vars.doneMaps = new List<string>();
    vars.ChapterSplit = false;
}

startup
{
    settings.Add("chapters", true, " All Chapters");

	vars.chapters = new Dictionary<string,string> 
	{
        {"c01/c01p2", "Chapter 1: After the cutscene of the plane crash"},
        {"c01/c01p3", "Chapter 1:After Dog Cutscene"},
        {"c01/c01p4", "Chapter 1: Ending"},
        {"c02/c02p0", "Chapter 2: Asylum"},
        {"c02/c02p1", "Chapter 2: After Cutscene"},
        {"c03/c03p1", "Chapter 3: The Basement of the House"},
        {"c03/c03p2", "Chapter 3: Oderbrücke"},
        {"c03/c03p3", "Chapter 3: Train Ride"},
        {"c04/c04p1", "Chapter 4: Way to truck"},
        {"c04/c04p2", "Chapter 4: Eisenwald Prison"},
        {"c05_07_09", "Chapter 5, Chapter 7, Chapter 9, Chapter 15"},
        {"c06/c06p1", "Chapter 6: London Nautica"},
        {"c06/c06p2", "Chapter 6: Cutscene before getting Laserkraftwerk"},
        {"c08/c08p1", "Chapter 8: Camp Belica"},
        {"c10/c10p1", "Chapter 10: Berlin Catacombs"},
        {"c11/c11p1", "Chapter 11: U-Boat"},
        {"c12/c12p1", "Chapter 12: Gibraltar Bridge"},
        {"c12/c12p2", "Chapter 12: After Destroying Bridge (Main Part of Chapter)"},
        {"c13/c13p1", "Chapter 13: Lunar Base"},
        {"c14/c14p1", "Chapter 14: Return to London Nautica"},
        {"c16/c16p0", "Chapter 16: Return to Deathshead's Compound (Submarine Part)"},
        {"c16/c16p1", "Chapter 16: Deathshead's Compound"},
        {"c16/c16p2", "Chapter 16: Battle with Deathshead"},
    };
		foreach (var Tag in vars.chapters)
		{
			settings.Add(Tag.Key, true, Tag.Value, "chapters");
    	};

}

update
{
    if (((current.chapter != old.chapter) && (settings[current.chapter])))
	{
		vars.ChapterSplit = true;
	}
}

onStart
{
    vars.doneMaps.Clear();
}

start
{
    if (current.chapter == "c01/c01p1" && current.isLoading > 0)
    {
        return true;
    }
}

split
{
    if (vars.ChapterSplit)
    {
        vars.ChapterSplit = false;
        return true;
    }
}

exit
{
    timer.IsGameTimePaused = true;
}

isLoading
{
    return current.isLoading > 0 || current.isLoading1 == 1 || current.isLoading1 == 0;
}
